EXECUTE (CREATE TABLE FINANCIAL_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     RATE_POLICY_RK       NUMBER(10),
     INTEREST_PAYMENT_TYPE_CD VARCHAR2(3),
     FINANCIAL_INSTRUMENT_ID VARCHAR2(32),
     FINANCIAL_INSTRUMENT_NM VARCHAR2(200),
     EFFECTIVE_FROM_DT    DATE,
     MATURITY_DT          DATE,
     SOURCE_SYSTEM_CD     VARCHAR2(3),
     FIRST_PAYMENT_DT     DATE,
     LAST_PAYMENT_DT      DATE,
     FACE_VALUE_AMT       NUMBER(18,5),
     PAYMENTS_PER_ANNUM_RT NUMBER(9,4),
     FIRST_RESET_DT       DATE,
     LAST_RESET_DT        DATE,
     RESETS_PER_ANNUM_NO  NUMBER(5),
     GRACE_PERIOD_DAYS_CNT NUMBER(3),
     MATERIALITY_THRESHOLD_AMT NUMBER(18,5),
     PRESENT_VALUE_AMT    NUMBER(18,5),
     FINANCIAL_INSTRUMENT_TYPE_CD VARCHAR2(3),
     FINANCIAL_CALENDAR_RK NUMBER(10),
     HIGH_RISK_CATEGORY_FLG VARCHAR2(1),
     IRRECOVERABLE_FLG    VARCHAR2(1),
     MATERIALITY_THRESH_CURRENCY_CD VARCHAR2(3),
     CURRENCY_CD          VARCHAR2(3),
     MTM_VALUE_TO_SELL_CURRENCY_CD VARCHAR2(3),
     MTM_VALUE_TO_BUY_CURRENCY_CD VARCHAR2(3),
     REMARGINING_DAYS_CNT NUMBER(6),
     ISSUER_COUNTERPARTY_RK NUMBER(10),
     NEXT_CONTRACT_RESET_DT DATE,
     DAY_BASIS_CD         VARCHAR2(10),
     COVER_SECURITIZATION_POOL_RK NUMBER(10),
     SENIORITY_CD         VARCHAR2(3),
     EFFECTIVE_MATURITY_YEAR_NO NUMBER(7,3),
     EFFECTIVE_FROM_DTTM  DATE,
     EFFECTIVE_TO_DTTM    DATE,
     BOOK_VALUE_AMT       NUMBER(18,5),
     CONTRACT_SETTLEMENT_DT DATE,
     PAYMENT_RESET_FREQ_MONTH_NO NUMBER(10),
     SPREAD_RT            NUMBER(9,4),
     DISCOUNT_SPREAD_RT   NUMBER(9,4),
     INITIAL_CONTRACT_RT  NUMBER(9,4),
     PRINCIPAL_PAYMENT_AMT NUMBER(18,5),
     ANNUITY_PAYMENT_AMT  NUMBER(18,5),
     YIELD_RT             NUMBER(9,4),
     CARRYING_COST_RT     NUMBER(9,4),
     COMPOUNDING_CD       VARCHAR2(10),
     ACCRUED_BASE_AMT     NUMBER(18,5),
     PRINCIPAL_PAYMENT_TYPE_CD VARCHAR2(3),
     SETTLEMENT_TYPE_CD   VARCHAR2(3),
     QUANTO_FEATURE_RK    NUMBER(10),
     ANNUITY_PAYMENT_TYPE_CD VARCHAR2(3),
     ARREARS_PAYMENT_CD   VARCHAR2(3),
     CONVEXITY_ADJUSTMENT_FLG VARCHAR2(1),
     COUPON_GRACE_DAYS_CNT NUMBER(6),
     INTEREST_PAYMENT_TIME_FREQ_CD VARCHAR2(3),
     INTERNAL_REPORTING_CATEGORY_CD VARCHAR2(3),
     PAYMENT_TIME_FREQUENCY_CD VARCHAR2(3),
     UP_FRONT_FEE_AMT     NUMBER(18,5),
     UP_FRONT_FEE_DT      DATE,
     CAPITAL_CLASS_TYPE_CD VARCHAR2(3),
     VALUE_SCALING_FACTOR_RT NUMBER(9,4),
     FIRST_INTEREST_PAYMENT_DT DATE,
     HOLIDAY_DATE_ROLL_CONV_CD VARCHAR2(3),
     LAST_INTEREST_PAYMENT_DT DATE,
     LIQUIDITY_HORIZON_MONTH_CNT NUMBER(6),
     WEEKEND_DATE_ROLL_CONV_CD VARCHAR2(3),
     CIC_CD               VARCHAR2(4),
     UNWIND_TRIGGER_EVENT_TYPE_CD VARCHAR2(3),
     UNWIND_MAX_LOSS_AMT  NUMBER(18,5),
     PAYMENT_DAY_OF_MONTH_NO NUMBER(3),
     INT_PAYMENT_DAY_OF_MONTH_NO NUMBER(3),
     RESET_DAY_OF_MONTH_NO NUMBER(3),
     VALID_TO_DTTM        DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
)) BY ORACLE;

