CREATE TABLE &LIBREF..FINANCIAL_POSITION (
     FINANCIAL_POSITION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Financial Position Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Date Time',
     FINANCIAL_INSTRUMENT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Financial Instrument Key',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date time',
     FINANCIAL_POSITION_ID VARCHAR(32) NOT NULL label='Financial Position Identifier',
     TOTAL_LIMIT_AMT      NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Total Limit Amount',
     MOST_RECENT_DEAL_DTTM DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Most Recent Deal Date time',
     SOURCE_SYSTEM_CD     VARCHAR(3) label='Source System Code',
     MOST_RECENT_DEAL_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Most Recent Deal Amount',
     CURRENCY_CD          VARCHAR(3) label='Currency Code',
     EFFECTIVE_FROM_DT    DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Effective From Date',
     EXPIRATION_DT        DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Expiration Date',
     FINANCIAL_POSITION_STATUS_CD VARCHAR(3) label='Financial Position Status Code',
     HOLDINGS_NO          NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Holdings Number',
     BUY_PRICE_AMT        NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Buy Price Amount',
     SELL_PRICE_AMT       NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Sell Price Amount',
     POSITION_PAYMENT_LEG_CD VARCHAR(3) label='Position Payment Leg Code',
     PORTFOLIO_ID         VARCHAR(32) label='Portfolio Identifier',
     COUNTERPARTY_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Counterparty Key',
     CUSTODIAN_COUNTERPARTY_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Custodian Counterparty Key',
     OWNED_BY_INTERNAL_ORG_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Owned By Internal Organization Key',
     NETTING_SET_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Netting Set Key',
     FINANCIAL_POSITION_TYPE_CD VARCHAR(5) label='Financial Position Type Code',
     EQUITY_IN_LEG_PROGRAM_FLG CHARACTER(1) label='Equity in Leg Program Flag',
     OFF_BALANCE_SHEET_TYPE_CD VARCHAR(3) label='Off Balance Sheet Type Code',
     SECURITIZATION_POOL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Securitization Pool Key',
     GL_ACCOUNT_RK        NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='General Ledger Key',
     EQUITY_POSITION_TYPE_CD VARCHAR(3) label='Equity Position Type Code',
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Effective From Date time',
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Effective To Date time',
     EXPOSURE_AT_DEFAULT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Exposure At Default Amount',
     ADJUSTMENT_TO_EXPOSURE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Adjustment To Exposure Amount',
     SEGMENT_RK           NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Segment Key',
     CONTRACT_DELIVERY_DT DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Contract Delivery Date',
     REPO_TRANSACTION_FLG CHARACTER(1) label='Repo Transaction Flag',
     FINANCIAL_FUND_RK    NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Financial Fund Key',
     PHYSICAL_ASSET_RK    NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Physical Asset Key',
     CAPITAL_ALLOCATION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Capital Allocation Key',
     CAPITAL_COST_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Capital Cost Key',
     MARGIN_AGREEMENT_RK  NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Margin Agreement Key',
     CREDIT_FACILITY_RK   NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Credit Facility Key',
     EXPENSE_ALLOCATION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Expense Allocation Key',
     FINANCIAL_POSITION_ROLE_CD VARCHAR(3) label='Financial Position Role Code',
     LIQUIDITY_CATEGORY_TYPE_CD VARCHAR(3) label='Liquidity Category Type Code',
     CONCENTRATION_RSK_FLG CHARACTER(1) label='Concentration Risk Flag',
     LIQUIDITY_HORIZON_MONTH_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label='Liquidity Horizon Month Count',
     RECEIVABLES_POOL_RK  NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Receivables Pool Key',
     UNENCUMBERED_FLG     CHARACTER(1) label='Unencumbered Flag',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (FINANCIAL_POSITION_RK, VALID_FROM_DTTM)
);

