CREATE TABLE &LIBREF..FUND_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Financial Instrument Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Date Time',
     FUND_INSTRUMENT_NM   VARCHAR(40) label='Fund Instrument Name',
     FUND_ID              VARCHAR(32) label='Fund Identifier',
     FUND_FAMILY_NM       VARCHAR(40) label='Fund Family Name',
     MANAGER_NM           VARCHAR(40) label='Manager Name',
     UCITS_FLG            CHARACTER(1) label='UCITS Flag',
     MANAGEMENT_FEE_PCT   NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Management Fee Percent',
     NET_ASSET_VALUE_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Net Asset Value Amount.',
     FUND_INSTRUMENT_TYPE_CD VARCHAR(3) label='Fund Instrument Type Code',
     VALUATION_TIME_FREQ_CD VARCHAR(3) label='Time Frequency Code',
     LEVEL_OF_LOOKTHROUGH_CD VARCHAR(3) label='Level Of Look-Through Code',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date time',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
);

